> ## Documentation Index
> Fetch the complete documentation index at: https://developers.projectcor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create transaction items



## OpenAPI

````yaml /api-reference/openapi.json post /transaction/{transaction_id}/transactionItems
openapi: 3.1.0
info:
  title: COR API
  description: >-
    The COR API lets you integrate with projectcor.com applications using simple
    HTTP methods, in either XML or JSON formats, making this an ideal API for
    developing integrations with other softwares, external clients or mobile
    applications
  version: 1.0.0
servers:
  - url: https://api.projectcor.com/v1
    description: Production server
security:
  - bearerAuth: []
paths:
  /transaction/{transaction_id}/transactionItems:
    post:
      tags:
        - Transactions
      summary: Create transaction items
      parameters:
        - name: transaction_id
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransactionItemInput'
      responses:
        '200':
          description: Transaction item created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionItem'
components:
  schemas:
    TransactionItemInput:
      type: object
      required:
        - description
        - amount
        - status
        - transaction_id
        - company_id
      properties:
        description:
          type: string
          description: Description
        client_id:
          type: integer
          description: Client ID
        project_id:
          type: integer
          description: Project ID
        amount:
          type: number
          description: Amount
        status:
          type: string
          description: Status
        transaction_id:
          type: integer
          description: Transaction ID
        company_id:
          type: integer
          description: Company ID
        can_update:
          type: boolean
          description: Can update
        can_delete:
          type: boolean
          description: Can delete
        integrated:
          type: boolean
          description: Integrated
    TransactionItem:
      type: object
      properties:
        id:
          type: integer
        description:
          type: string
        client_id:
          type: integer
        project_id:
          type: integer
        amount:
          type: number
        status:
          type: string
        transaction_id:
          type: integer
        company_id:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````